%bcond_with	java

%define major	2
%define libname	%mklibname bluray %{major}
%define devname %mklibname bluray -d

Summary:	Blu-Ray Disc playback library for media players
Name:		libbluray
Version:	1.2.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.videolan.org/developers/libbluray.html
Source:		http://download.videolan.org/pub/videolan/libbluray/%{version}/%{name}-%{version}.tar.bz2
%if %{with java}
BuildRequires:	ant
BuildRequires:	java-devel >= 1:1.8.0
%endif
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libudfread)

%description
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

The library has support for navigation, playlist parsing, menus and BD-J.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%package -n	%{libname}
Summary:	Blu-Ray Disc playback library for media players
Group:		System/Libraries

%description -n	%{libname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

For BD-J support, you need to install libbluray-java.

This package does not contain any DRM circumvention functionality, so you can
only play unprotected Blu-Ray discs with it as is.

%package	java
Summary:	BD-J support for libbluray
Group:		System/Libraries
Requires:	java-headless >= 1:1.8.0
Requires:	jpackage-utils

%description	java
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

This package contains the BD-J support for libbluray.

This package does not contain any DRM circumvention functionality.

%package -n	%{devname}
Summary:	libbluray development files
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	bluray-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

These are the files needed for building programs using libbluray.
This package does not contain any DRM circumvention functionality.

%prep
%setup -q

%build
%if %{with java}
export JDK_HOME="%{_jvmdir}/java-1.8.0"
%endif

%configure \
	%{?!with_java:--disable-bdjava-jar} \
	--disable-static \
	--disable-examples
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc README.txt
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%if %{with java}
%files java
%{_javadir}/libbluray-j2se-%{version}.jar
%{_javadir}/libbluray-awt-j2se-%{version}.jar
%endif


%changelog
* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.2.1-1.mga8
+ Revision: 1647132
- 1.2.1
- BR libudfread

* Fri Oct 16 2020 luigiwalser <luigiwalser> 1.2.0-2.mga8
+ Revision: 1636409
- build without java

* Wed Apr 22 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1570666
- new version: 1.2.0

* Sat Feb 15 2020 umeabot <umeabot> 1.1.2-2.mga8
+ Revision: 1526648
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jun 13 2019 shlomif <shlomif> 1.1.2-1.mga7
+ Revision: 1399916
- New version 1.1.2: mga#24940 security

* Sat Apr 13 2019 daviddavid <daviddavid> 1.1.1-1.mga7
+ Revision: 1389668
- new version: 1.1.1

* Tue Feb 12 2019 daviddavid <daviddavid> 1.1.0-1.mga7
+ Revision: 1366033
- new version: 1.1.0

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1298766
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 daviddavid <daviddavid> 1.0.2-1.mga7
+ Revision: 1219135
- new version: 1.0.2
+ luigiwalser <luigiwalser>
- 1.0.1
- remove obsolete --disable-bdjava configure option

* Wed Mar 29 2017 luigiwalser <luigiwalser> 1.0.0-1.mga6
+ Revision: 1095168
- 1.0.0
- library major is now 2

* Wed May 25 2016 luigiwalser <luigiwalser> 0.9.3-1.mga6
+ Revision: 1018476
- 0.9.3

* Thu Dec 24 2015 daviddavid <daviddavid> 0.9.2-1.mga6
+ Revision: 913942
- new version: 0.9.2

* Tue Nov 03 2015 luigiwalser <luigiwalser> 0.9.0-1.mga6
+ Revision: 897550
- 0.9.0

* Tue Oct 13 2015 luigiwalser <luigiwalser> 0.8.0-1.mga6
+ Revision: 890325
- 0.8.0

* Fri Feb 13 2015 luigiwalser <luigiwalser> 0.7.0-1.mga5
+ Revision: 814845
- 0.7.0

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-3.mga5
+ Revision: 742871
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-2.mga5
+ Revision: 681347
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 0.6.2-1.mga5
+ Revision: 672268
- 0.6.2

* Tue Aug 05 2014 luigiwalser <luigiwalser> 0.6.1-1.mga5
+ Revision: 659903
- 0.6.1

* Thu Jun 12 2014 luigiwalser <luigiwalser> 0.6.0-1.mga5
+ Revision: 635887
- 0.6.0

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.5.0-1.mga5
+ Revision: 591617
- 0.5.0

* Sat Oct 19 2013 umeabot <umeabot> 0.4.0-2.mga4
+ Revision: 536021
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 0.4.0-1.mga4
+ Revision: 482995
- add br
- new version 0.4.0

* Sun Jun 23 2013 luigiwalser <luigiwalser> 0.3.0-1.mga4
+ Revision: 445853
- 0.3.0

* Sat Jan 12 2013 umeabot <umeabot> 0.2.3-2.mga3
+ Revision: 356856
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 fwang <fwang> 0.2.3-1.mga3
+ Revision: 319066
- do not build example
- new version 0.2.3

* Fri Jun 08 2012 fwang <fwang> 0.2.2-1.mga3
+ Revision: 257409
- new version 0.2.2

* Fri Jan 27 2012 fwang <fwang> 0.2.1-1.mga2
+ Revision: 202137
- do not build java binding as it is set off by default upstream
- new version 0.2.1
+ dmorgan <dmorgan>
- Rediff P1
- New snapshot
- Fix java requires

* Sun Jan 16 2011 anssi <anssi> 0.0.1-0.pre.git20100917.1.mga1
+ Revision: 20255
- imported package libbluray


* Fri Sep 17 2010 Anssi Hannula <anssi@mandriva.org> 0.0.1-0.pre.git20100917.1mdv2011.0
+ Revision: 579301
- initial Mandriva release

